#!/usr/bin/env bash

rm -Rf *.tar.gz

hash=$(git rev-parse --short HEAD)
v=$(echo 'aam_version=4.2.0.'$1'-'$hash)
vv=$(echo '4.2.0.'$1'-'$hash)
version=$(echo "$v")

#MACOS
#sed -i '' "s/^aam_version=.*/$version/g" mapper.ini
#LINUX
sed -i "s/aam_version=.*/$version/g" mapper.ini

mkdir dependencies
base=$(echo "http://192.168.110.5/dependencies/cli/")
curl $base"jq-1.6-2.el7.x86_64.rpm" --output dependencies/jq-1.6-2.el7.x86_64.rpm

touch tui-$vv.tar.gz

#old cli used sha256, new md5
echo "first parameter received is: $1"
echo "second parameter received is: $2"

sleep 5
echo "generating non enc file:"

tar --exclude='.git' --exclude='.idea' --exclude='.DS_Store' --exclude='tmp/' --exclude=tui-$vv.tar.gz --exclude=tui-$vv-enc.tar.gz --exclude=tui-$vv-enc.tar.gz -zcvf tui-$vv.tar.gz .
