<?php

$currentCliVersion = $argv[1];
$minimumCliVersion = $argv[2];

function formatString($version)
{
    $leftPadLength = 10;
    $rightPadLength = 50;
    $preparedVersion = explode('-', $version)[0];

    $versionComparisonString = implode('', array_map(function ($piece) use ($leftPadLength) {
        return str_pad($piece, $leftPadLength, '0', STR_PAD_LEFT);
    }, explode('.', $preparedVersion)));

    return str_pad($versionComparisonString, $rightPadLength, '0', STR_PAD_RIGHT);
}

$currentCliVersion = formatString($currentCliVersion);
$minimumCliVersion = formatString($minimumCliVersion);

echo $currentCliVersion >= $minimumCliVersion ? 'True' : 'False';
