#!/usr/bin/env bash

base=/home/akkadianuser
scripts=$base/scripts
productName=$(sh $scripts/universal_updater/get_product_name.sh)

supervisord_file="/usr/bin/supervisord"
beanstalkd_file="/usr/bin/beanstalkd"

if [ "$productName" == 'apm' ] || [ "$productName" == 'hcs' ]; then

  if [ ! -s $beanstalkd_file ]; then
    echo "Installing beanstalkd features into aPM" >> /home/akkadianuser/logs/replica_init_process.log
    sh /home/akkadianuser/upgrades/apm_installs/install_and_configure_beanstalkd.sh
  fi
  if [ ! -s $supervisord_file ]; then
    echo "Installing supervisord features into aPM" >> /home/akkadianuser/logs/replica_init_process.log
    sh /home/akkadianuser/upgrades/apm_installs/install_and_configure_supervisord.sh
  fi
fi
